<!DOCTYPE html><html lang="zh-CN" data-theme="light"><head><meta charset="UTF-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width,initial-scale=1"><title>Consul微服务注册中心 | SeMaik</title><meta name="author" content="ZuSir"><meta name="copyright" content="ZuSir"><meta name="format-detection" content="telephone=no"><meta name="theme-color" content="#ffffff"><meta name="description" content="在 Spring Cloud 体系中，几乎每个角色都会有两个以上的产品提供选择，比如在注册中心有：Eureka、Consul、zookeeper、etcd 等；网关的产品有 Zuul、Spring Cloud Gateway 等。在注册中心产品中，最常使用的是 Eureka 和 Consul，两者各有特点，企业可以根据自述项目情况来选择。 Spring Cloud Consul 项目是针对 Con">
<meta property="og:type" content="article">
<meta property="og:title" content="Consul微服务注册中心">
<meta property="og:url" content="http://example.com/2021/02/25/Consul/index.html">
<meta property="og:site_name" content="SeMaik">
<meta property="og:description" content="在 Spring Cloud 体系中，几乎每个角色都会有两个以上的产品提供选择，比如在注册中心有：Eureka、Consul、zookeeper、etcd 等；网关的产品有 Zuul、Spring Cloud Gateway 等。在注册中心产品中，最常使用的是 Eureka 和 Consul，两者各有特点，企业可以根据自述项目情况来选择。 Spring Cloud Consul 项目是针对 Con">
<meta property="og:locale" content="zh_CN">
<meta property="og:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg">
<meta property="article:published_time" content="2021-02-25T02:28:00.000Z">
<meta property="article:modified_time" content="2021-02-25T08:25:12.000Z">
<meta property="article:author" content="ZuSir">
<meta name="twitter:card" content="summary">
<meta name="twitter:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg"><link rel="shortcut icon" href="https://myit.icu/favicon.ico"><link rel="canonical" href="http://example.com/2021/02/25/Consul/"><link rel="preconnect" href="//cdn.jsdelivr.net"/><link rel="preconnect" href="//busuanzi.ibruce.info"/><link rel="stylesheet" href="/css/index.css"><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free/css/all.min.css" media="print" onload="this.media='all'"><script>const GLOBAL_CONFIG = { 
  root: '/',
  algolia: undefined,
  localSearch: undefined,
  translate: undefined,
  noticeOutdate: undefined,
  highlight: {"plugin":"highlighjs","highlightCopy":true,"highlightLang":true},
  copy: {
    success: '复制成功',
    error: '复制错误',
    noSupport: '浏览器不支持'
  },
  relativeDate: {
    homepage: true,
    post: false
  },
  runtime: '',
  date_suffix: {
    just: '刚刚',
    min: '分钟前',
    hour: '小时前',
    day: '天前',
    month: '个月前'
  },
  copyright: undefined,
  lightbox: 'fancybox',
  Snackbar: undefined,
  source: {
    jQuery: 'https://cdn.jsdelivr.net/npm/jquery@latest/dist/jquery.min.js',
    justifiedGallery: {
      js: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/js/jquery.justifiedGallery.min.js',
      css: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/css/justifiedGallery.min.css'
    },
    fancybox: {
      js: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.js',
      css: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.css'
    }
  },
  isPhotoFigcaption: false,
  islazyload: false,
  isanchor: false
}</script><script id="config-diff">var GLOBAL_CONFIG_SITE = { 
  isPost: true,
  isHome: false,
  isHighlightShrink: undefined,
  isToc: true,
  postUpdate: '2021-02-25 16:25:12'
}</script><noscript><style type="text/css">
  #nav {
    opacity: 1
  }
  .justified-gallery img {
    opacity: 1
  }

  #recent-posts time,
  #post-meta time {
    display: inline !important
  }
</style></noscript><script>(win=>{
    win.saveToLocal = {
      set: function setWithExpiry(key, value, ttl) {
        if (ttl === 0) return
        const now = new Date()
        const expiryDay = ttl * 86400000
        const item = {
          value: value,
          expiry: now.getTime() + expiryDay,
        }
        localStorage.setItem(key, JSON.stringify(item))
      },

      get: function getWithExpiry(key) {
        const itemStr = localStorage.getItem(key)

        if (!itemStr) {
          return undefined
        }
        const item = JSON.parse(itemStr)
        const now = new Date()

        if (now.getTime() > item.expiry) {
          localStorage.removeItem(key)
          return undefined
        }
        return item.value
      }
    }
  
    win.getScript = url => new Promise((resolve, reject) => {
      const script = document.createElement('script')
      script.src = url
      script.async = true
      script.onerror = reject
      script.onload = script.onreadystatechange = function() {
        const loadState = this.readyState
        if (loadState && loadState !== 'loaded' && loadState !== 'complete') return
        script.onload = script.onreadystatechange = null
        resolve()
      }
      document.head.appendChild(script)
    })
  
      const asideStatus = saveToLocal.get('aside-status')
      if (asideStatus !== undefined) {
        if (asideStatus === 'hide') {
          document.documentElement.classList.add('hide-aside')
        } else {
          document.documentElement.classList.remove('hide-aside')
        }
      }
    })(window)</script><link href="/css/style.css"><meta name="generator" content="Hexo 5.3.0"><link rel="alternate" href="/atom.xml" title="SeMaik" type="application/atom+xml">
</head><body><div id="web_bg"></div><div id="sidebar"><div id="menu-mask"></div><div id="sidebar-menus"><div class="author-avatar"><img class="avatar-img" src="/img/123.jpeg" onerror="onerror=null;src='/img/123.jpeg'" alt="avatar"/></div><div class="site-data"><div class="data-item is-center"><div class="data-item-link"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div></div><div class="data-item is-center"><div class="data-item-link"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><hr/><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div></div></div><div class="post" id="body-wrap"><header class="post-bg" id="page-header" style="background-image: url('https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg')"><nav id="nav"><span id="blog_name"><a id="site-name" href="/">SeMaik</a></span><div id="menus"><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div><div id="toggle-menu"><a class="site-page"><i class="fas fa-bars fa-fw"></i></a></div></div></nav><div id="post-info"><h1 class="post-title">Consul微服务注册中心</h1><div id="post-meta"><div class="meta-firstline"><span class="post-meta-date"><i class="far fa-calendar-alt fa-fw post-meta-icon"></i><span class="post-meta-label">发表于</span><time class="post-meta-date-created" datetime="2021-02-25T02:28:00.000Z" title="发表于 2021-02-25 10:28:00">2021-02-25</time><span class="post-meta-separator">|</span><i class="fas fa-history fa-fw post-meta-icon"></i><span class="post-meta-label">更新于</span><time class="post-meta-date-updated" datetime="2021-02-25T08:25:12.000Z" title="更新于 2021-02-25 16:25:12">2021-02-25</time></span><span class="post-meta-categories"><span class="post-meta-separator">|</span><i class="fas fa-inbox fa-fw post-meta-icon"></i><a class="post-meta-categories" href="/categories/Consul/">Consul</a></span></div><div class="meta-secondline"><span class="post-meta-separator">|</span><span class="post-meta-pv-cv"><i class="far fa-eye fa-fw post-meta-icon"></i><span class="post-meta-label">阅读量:</span><span id="busuanzi_value_page_pv"></span></span></div></div></div></header><main class="layout" id="content-inner"><div id="post"><article class="post-content" id="article-container"><p>在 Spring Cloud 体系中，几乎每个角色都会有两个以上的产品提供选择，比如在注册中心有：Eureka、Consul、zookeeper、etcd 等；网关的产品有 Zuul、Spring Cloud Gateway 等。在注册中心产品中，最常使用的是 Eureka 和 Consul，两者各有特点，企业可以根据自述项目情况来选择。</p>
<p>Spring Cloud Consul 项目是针对 Consul 的服务治理实现。Consul 是一个分布式高可用的系统，它包含多个组件，但是作为一个整体，在微服务架构中，为我们的基础设施提供服务发现和服务配置的工具。</p>
<h1 id="什么是Consul？"><a href="#什么是Consul？" class="headerlink" title="什么是Consul？"></a>什么是Consul？</h1><p>Consul 是 HashiCorp 公司推出的开源产品，用于实现分布式系统的服务发现、服务隔离、服务配置，这些功能中的每一个都可以根据需要单独使用，也可以同时使用所有功能。Consul 官网目前主要推 Consul 在服务网格中的使用。<br>与其它分布式服务注册与发现的方案相比，Consul 的方案更“一站式”——内置了服务注册与发现框架、分布一致性协议实现、健康检查、Key/Value 存储、多数据中心方案，不再需要依赖其它工具。Consul 本身使用 go 语言开发，具有跨平台、运行高效等特点，也非常方便和 Docker 配合使用。</p>
<h1 id="Consul-的主要特点有："><a href="#Consul-的主要特点有：" class="headerlink" title="Consul 的主要特点有："></a>Consul 的主要特点有：</h1><p>Service Discovery : 服务注册与发现，Consul 的客户端可以做为一个服务注册到 Consul，也可以通过 Consul 来查找特定的服务提供者，并且根据提供的信息进行调用。<br>Health Checking: Consul 客户端会定期发送一些健康检查数据和服务端进行通讯，判断客户端的状态、内存使用情况是否正常，用来监控整个集群的状态，防止服务转发到故障的服务上面。<br>KV Store: Consul 还提供了一个容易使用的键值存储。这可以用来保持动态配置，协助服务协调、建立 Leader 选举，以及开发者想构造的其它一些事务。<br>Secure Service Communication: Consul 可以为服务生成分布式的 TLS 证书，以建立相互的 TLS 连接。 可以使用 intentions 定义允许哪些服务进行通信。 可以使用 intentions 轻松管理服务隔离，而不是使用复杂的网络拓扑和静态防火墙规则。<br>Multi Datacenter: Consul 支持开箱即用的多数据中心，这意味着用户不需要担心需要建立额外的抽象层让业务扩展到多个区域。</p>
<h1 id="Consul-角色"><a href="#Consul-角色" class="headerlink" title="Consul 角色:"></a>Consul 角色:</h1><p>Server: 服务端, 保存配置信息, 高可用集群, 在局域网内与本地客户端通讯, 通过广域网与其它数据中心通讯。 每个数据中心的 Server 数量推荐为 3 个或是 5 个。<br>Client: 客户端, 无状态, 将 HTTP 和 DNS 接口请求转发给局域网内的服务端集群。</p>
<h1 id="Consul-服务调用过程："><a href="#Consul-服务调用过程：" class="headerlink" title="Consul 服务调用过程："></a>Consul 服务调用过程：</h1><p>1、当 Producer 启动的时候，会向 Consul 发送一个 post 请求，告诉 Consul 自己的 IP 和 Port；<br>2、Consul 接收到 Producer 的注册后，每隔 10s（默认）会向 Producer 发送一个健康检查的请求，检验 Producer 是否健康；<br>3、当 Consumer 发送 GET 方式请求 /api/address 到 Producer 时，会先从 Consul 中拿到一个存储服务 IP 和 Port 的临时表，从表中拿到 Producer 的 IP 和 Port 后再发送 GET 方式请求 /api/address；<br>4、该临时表每隔 10s 会更新，只包含有通过了健康检查的 Producer。</p>
<h1 id="Consul-的-Web-管理界面有一些菜单，我们这里做一下简单的介绍："><a href="#Consul-的-Web-管理界面有一些菜单，我们这里做一下简单的介绍：" class="headerlink" title="Consul 的 Web 管理界面有一些菜单，我们这里做一下简单的介绍："></a>Consul 的 Web 管理界面有一些菜单，我们这里做一下简单的介绍：</h1><p>Services，管理界面的默认页面，用来展示注册到 Consul 的服务，启动后默认会有一个 consul 服务，也就是它本身。<br>Nodes，在 Services 界面双击服务名就会来到 Services 对应的 Nodes 界面，Services 是按照服务的抽象来展示的，Nodes 展示的是此服务的具体节点信息。比如启动了两个订单服务实例，Services 界面会出现一个订单服务，Nodes 界面会展示两个订单服务的节点。<br>Key/Value ，如果有用到 Key/Value 存储，可以在界面进行配置、查询。<br>ACL，全称 Access Control List，为访问控制列表的展示信息。<br>Intentions，可以在页面配置请求权限。</p>
<h1 id="键值对操作"><a href="#键值对操作" class="headerlink" title="键值对操作"></a>键值对操作</h1><h2 id="创建键值对"><a href="#创建键值对" class="headerlink" title="创建键值对"></a>创建键值对</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">consul kv put &#123;key&#125; &#123;value&#125;</span><br></pre></td></tr></table></figure>
<h2 id="递归创建键值对"><a href="#递归创建键值对" class="headerlink" title="递归创建键值对"></a>递归创建键值对</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">consul kv put &#123;key1&#125;&#x2F;&#123;key2&#125; &#123;value1&#125; &#123;value2&#125;</span><br></pre></td></tr></table></figure>
<h2 id="查看创建所有的键值对"><a href="#查看创建所有的键值对" class="headerlink" title="查看创建所有的键值对"></a>查看创建所有的键值对</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">consul kv get -keys</span><br></pre></td></tr></table></figure>
<h2 id="查看指定键值对对应的值"><a href="#查看指定键值对对应的值" class="headerlink" title="查看指定键值对对应的值"></a>查看指定键值对对应的值</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">consul kv get &#123;key&#125;</span><br></pre></td></tr></table></figure>
<h2 id="查看指定的键值对的详细信息"><a href="#查看指定的键值对的详细信息" class="headerlink" title="查看指定的键值对的详细信息"></a>查看指定的键值对的详细信息</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">consul kv get -detailed &#123;key&#125;</span><br></pre></td></tr></table></figure>
<h2 id="删除指定的键值对"><a href="#删除指定的键值对" class="headerlink" title="删除指定的键值对"></a>删除指定的键值对</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">consul kv delete &#123;key&#125;</span><br></pre></td></tr></table></figure>
<h2 id="递归删除键值对"><a href="#递归删除键值对" class="headerlink" title="递归删除键值对"></a>递归删除键值对</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">consul kv delete -recurse &#123;key&#125;</span><br></pre></td></tr></table></figure>
<h2 id="导出键值对，并以json格式输出"><a href="#导出键值对，并以json格式输出" class="headerlink" title="导出键值对，并以json格式输出"></a>导出键值对，并以json格式输出</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">consul kv export &#123;key&#125;</span><br></pre></td></tr></table></figure>
<h1 id="查看consul集群信息"><a href="#查看consul集群信息" class="headerlink" title="查看consul集群信息"></a>查看consul集群信息</h1><h2 id="查看集群中角色为server的节点信息"><a href="#查看集群中角色为server的节点信息" class="headerlink" title="查看集群中角色为server的节点信息"></a>查看集群中角色为server的节点信息</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">curl 1.1.1.6:8500&#x2F;v1&#x2F;status&#x2F;peers</span><br></pre></td></tr></table></figure>
<blockquote>
<p>集群中任意一个IP</p>
</blockquote>
<h2 id="查看群集中的主机点"><a href="#查看群集中的主机点" class="headerlink" title="查看群集中的主机点"></a>查看群集中的主机点</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">curl 1.1.1.6:8500&#x2F;v1&#x2F;status&#x2F;leader</span><br></pre></td></tr></table></figure>
<h2 id="查看集群中的详细信息，并美化输出"><a href="#查看集群中的详细信息，并美化输出" class="headerlink" title="查看集群中的详细信息，并美化输出"></a>查看集群中的详细信息，并美化输出</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">curl 1.1.1.6:8500&#x2F;v1&#x2F;catalog&#x2F;nodes?pretty</span><br></pre></td></tr></table></figure>
<blockquote>
<p>?pretty：指的是美化输出格式</p>
</blockquote>
<h1 id="服务器信息"><a href="#服务器信息" class="headerlink" title="服务器信息"></a>服务器信息</h1><table>
<thead>
<tr>
<th align="center">IP</th>
<th align="center">服务</th>
</tr>
</thead>
<tbody><tr>
<td align="center">1.1.1.3</td>
<td align="center">maven+spring-cloud+consul</td>
</tr>
<tr>
<td align="center">1.1.1.4</td>
<td align="center">maven+spring-cloud+consul</td>
</tr>
<tr>
<td align="center">1.1.1.5</td>
<td align="center">maven+spring-cloud+consul</td>
</tr>
<tr>
<td align="center">1.1.1.6</td>
<td align="center">client+ui</td>
</tr>
</tbody></table>
<h2 id="部署consul"><a href="#部署consul" class="headerlink" title="部署consul"></a>部署consul</h2><h3 id="节点一server端"><a href="#节点一server端" class="headerlink" title="节点一server端"></a>节点一server端</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br></pre></td><td class="code"><pre><span class="line">unzip consul_1.4.0_linux_amd64.zip -d &#x2F;usr&#x2F;bin&#x2F;</span><br><span class="line">mkdir -p &#x2F;consul&#x2F;&#123;data,config&#125;</span><br><span class="line">consul agent -server -bootstrap-expect 2 -data-dir &#x2F;consul&#x2F;data -config-dir &#x2F;consul&#x2F;config -bind 1.1.1.3 -client 0.0.0.0 -enable-script-checks&#x3D;true -node&#x3D;consulA -datacenter&#x3D;test</span><br></pre></td></tr></table></figure>
<blockquote>
<p>bind：本机IP</p>
</blockquote>
<h3 id="节点二server端"><a href="#节点二server端" class="headerlink" title="节点二server端"></a>节点二server端</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br></pre></td><td class="code"><pre><span class="line">unzip consul_1.4.0_linux_amd64.zip -d &#x2F;usr&#x2F;bin&#x2F;</span><br><span class="line">mkdir -p &#x2F;consul&#x2F;&#123;data,config&#125;</span><br><span class="line">consul agent -server -data-dir &#x2F;consul&#x2F;data -config-dir &#x2F;consul&#x2F;config -bind 1.1.1.4 -client 0.0.0.0 -enable-script-checks&#x3D;true -node&#x3D;consu1B -datacenter&#x3D;test -join&#x3D;1.1.1.3</span><br></pre></td></tr></table></figure>
<blockquote>
<p>join：加入到节点一集群</p>
</blockquote>
<h3 id="节点三server端"><a href="#节点三server端" class="headerlink" title="节点三server端"></a>节点三server端</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br></pre></td><td class="code"><pre><span class="line">unzip consul_1.4.0_linux_amd64.zip -d &#x2F;usr&#x2F;bin&#x2F;</span><br><span class="line">mkdir -p &#x2F;consul&#x2F;&#123;data,config&#125;</span><br><span class="line">consul agent -server -data-dir &#x2F;consul&#x2F;data -config-dir &#x2F;consul&#x2F;config -bind 1.1.1.5 -client 0.0.0.0 -enable-script-checks&#x3D;true -node&#x3D;consu1B -datacenter&#x3D;test -join&#x3D;1.1.1.3</span><br></pre></td></tr></table></figure>
<h3 id="节点四client端"><a href="#节点四client端" class="headerlink" title="节点四client端"></a>节点四client端</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br></pre></td><td class="code"><pre><span class="line">unzip consul_1.4.0_linux_amd64.zip -d &#x2F;usr&#x2F;bin&#x2F;</span><br><span class="line">mkdir -p &#x2F;consul&#x2F;&#123;data,config&#125;</span><br><span class="line">consul agent -ui -data-dir &#x2F;consul&#x2F;data -config-dir &#x2F;consul&#x2F;config -bind 1.1.1.6 -client 0.0.0.0 -node&#x3D;consulD -datacenter&#x3D;test -enable-script-checks&#x3D;true -join&#x3D;1.1.1.3</span><br></pre></td></tr></table></figure>
<h3 id="查看consul集群成员"><a href="#查看consul集群成员" class="headerlink" title="查看consul集群成员"></a>查看consul集群成员</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br></pre></td><td class="code"><pre><span class="line">consul members</span><br><span class="line">Node     Address           Status  Type    Build  Protocol  DC     Segment</span><br><span class="line">consul1  1.1.1.3:8301  alive   server  1.4.0  2         pjf01  &lt;all&gt;</span><br><span class="line">consul2  1.1.1.4:8301  alive   server  1.4.0  2         pjf01  &lt;all&gt;</span><br><span class="line">consul3  1.1.1.5:8301  alive   server  1.4.0  2         pjf01  &lt;all&gt;</span><br><span class="line">client   1.1.1.6:8301  alive   client  1.4.0  2         pjf01  &lt;default&gt;</span><br></pre></td></tr></table></figure>
<h3 id="放行所有防火墙"><a href="#放行所有防火墙" class="headerlink" title="放行所有防火墙"></a>放行所有防火墙</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br></pre></td><td class="code"><pre><span class="line">firewall-cmd --add-port&#x3D;8301</span><br><span class="line">firewall-cmd --add-port&#x3D;8500</span><br><span class="line">setenforce 0</span><br></pre></td></tr></table></figure>
<blockquote>
<p>访问ui端页面<code>1.1.1.6:9500</code></p>
</blockquote>
<p><img src="/images/pasted-222.png" alt="upload successful"></p>
<h3 id="节点一部署生产者"><a href="#节点一部署生产者" class="headerlink" title="节点一部署生产者"></a>节点一部署生产者</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br></pre></td><td class="code"><pre><span class="line">cd &#x2F;usr&#x2F;local&#x2F;spring-cloud-examples&#x2F;spring-cloud-consul&#x2F;spring-cloud-consul-producer</span><br><span class="line">vi src&#x2F;main&#x2F;resources&#x2F;application.properties</span><br><span class="line">修改：UI端IP</span><br><span class="line">spring.cloud.consul.host&#x3D;1.1.1.6</span><br><span class="line"></span><br><span class="line">mvn spring-boot:run</span><br></pre></td></tr></table></figure>
<h3 id="节点二部署生产者"><a href="#节点二部署生产者" class="headerlink" title="节点二部署生产者"></a>节点二部署生产者</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br></pre></td><td class="code"><pre><span class="line">cd &#x2F;usr&#x2F;local&#x2F;spring-cloud-examples&#x2F;spring-cloud-consul&#x2F;spring-cloud-consul-producer-2&#x2F;</span><br><span class="line">vi src&#x2F;main&#x2F;resources&#x2F;application.properties</span><br><span class="line">修改：UI端IP</span><br><span class="line">spring.cloud.consul.host&#x3D;1.1.1.6</span><br><span class="line"></span><br><span class="line">mvn spring-boot:run</span><br></pre></td></tr></table></figure>
<h3 id="节点三部署消费者"><a href="#节点三部署消费者" class="headerlink" title="节点三部署消费者"></a>节点三部署消费者</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br></pre></td><td class="code"><pre><span class="line">cd &#x2F;usr&#x2F;local&#x2F;spring-cloud-examples&#x2F;spring-cloud-consul&#x2F;spring-cloud-consul-consumer&#x2F;</span><br><span class="line">vi src&#x2F;main&#x2F;resources&#x2F;application.properties</span><br><span class="line">修改：UI端IP</span><br><span class="line">spring.cloud.consul.host&#x3D;1.1.1.6</span><br><span class="line"></span><br><span class="line">mvn spring-boot:run</span><br></pre></td></tr></table></figure>
<h3 id="验证"><a href="#验证" class="headerlink" title="验证"></a>验证</h3><p>访问消费者，实现生产者1和2的轮询效果</p>
<figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line">curl 1.1.1.6:8503&#x2F;call</span><br><span class="line">helle consul</span><br><span class="line">curl 1.1.1.6:8503&#x2F;call</span><br><span class="line">helle consul two</span><br></pre></td></tr></table></figure>
<blockquote>
<p>将生产者1断开之后，再次访问消费者的话不会再将请求交给生产者1，会直接显示生产者2 的消息，如果生产者1恢复之后，消费者会继续实现轮询效果</p>
</blockquote>
</article><div class="post-copyright"><div class="post-copyright__author"><span class="post-copyright-meta">文章作者: </span><span class="post-copyright-info"><a href="mailto:undefined">ZuSir</a></span></div><div class="post-copyright__type"><span class="post-copyright-meta">文章链接: </span><span class="post-copyright-info"><a href="http://example.com/2021/02/25/Consul/">http://example.com/2021/02/25/Consul/</a></span></div><div class="post-copyright__notice"><span class="post-copyright-meta">版权声明: </span><span class="post-copyright-info">本博客所有文章除特别声明外，均采用 <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" target="_blank">CC BY-NC-SA 4.0</a> 许可协议。转载请注明来自 <a href="http://example.com" target="_blank">SeMaik</a>！</span></div></div><div class="tag_share"><div class="post-meta__tag-list"></div><div class="post_share"><div class="social-share" data-image="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" data-sites="facebook,twitter,wechat,weibo,qq"></div><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/social-share.js/dist/css/share.min.css" media="print" onload="this.media='all'"><script src="https://cdn.jsdelivr.net/npm/social-share.js/dist/js/social-share.min.js" defer></script></div></div><nav class="pagination-post" id="pagination"><div class="prev-post pull-left"><a href="/2021/02/25/Harbor%E7%A7%81%E6%9C%89%E4%BB%93%E5%BA%93/"><img class="prev-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of previous post"><div class="pagination-info"><div class="label">上一篇</div><div class="prev_info">Harbor私有仓库</div></div></a></div><div class="next-post pull-right"><a href="/2021/02/24/Spring/"><img class="next-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of next post"><div class="pagination-info"><div class="label">下一篇</div><div class="next_info">Spring</div></div></a></div></nav></div><div class="aside-content" id="aside-content"><div class="card-widget card-info"><div class="card-info-avatar is-center"><img class="avatar-img" src="/img/123.jpeg" onerror="this.onerror=null;this.src='/img/123.jpeg'" alt="avatar"/><div class="author-info__name">ZuSir</div><div class="author-info__description">一个收藏回忆与分享技术的地方!</div></div><div class="card-info-data"><div class="card-info-data-item is-center"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div><div class="card-info-data-item is-center"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><div class="card-widget card-announcement"><div class="item-headline"><i class="fas fa-bullhorn card-announcement-animation"></i><span>公告</span></div><div class="announcement_content">This is my Blog! <img src="https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=3894415926,2787041726&fm=26&gp=0.jpg"></div></div><div class="sticky_layout"><div class="card-widget" id="card-toc"><div class="item-headline"><i class="fas fa-stream"></i><span>目录</span></div><div class="toc-content"><ol class="toc"><li class="toc-item toc-level-1"><a class="toc-link" href="#%E4%BB%80%E4%B9%88%E6%98%AFConsul%EF%BC%9F"><span class="toc-number">1.</span> <span class="toc-text">什么是Consul？</span></a></li><li class="toc-item toc-level-1"><a class="toc-link" href="#Consul-%E7%9A%84%E4%B8%BB%E8%A6%81%E7%89%B9%E7%82%B9%E6%9C%89%EF%BC%9A"><span class="toc-number">2.</span> <span class="toc-text">Consul 的主要特点有：</span></a></li><li class="toc-item toc-level-1"><a class="toc-link" href="#Consul-%E8%A7%92%E8%89%B2"><span class="toc-number">3.</span> <span class="toc-text">Consul 角色:</span></a></li><li class="toc-item toc-level-1"><a class="toc-link" href="#Consul-%E6%9C%8D%E5%8A%A1%E8%B0%83%E7%94%A8%E8%BF%87%E7%A8%8B%EF%BC%9A"><span class="toc-number">4.</span> <span class="toc-text">Consul 服务调用过程：</span></a></li><li class="toc-item toc-level-1"><a class="toc-link" href="#Consul-%E7%9A%84-Web-%E7%AE%A1%E7%90%86%E7%95%8C%E9%9D%A2%E6%9C%89%E4%B8%80%E4%BA%9B%E8%8F%9C%E5%8D%95%EF%BC%8C%E6%88%91%E4%BB%AC%E8%BF%99%E9%87%8C%E5%81%9A%E4%B8%80%E4%B8%8B%E7%AE%80%E5%8D%95%E7%9A%84%E4%BB%8B%E7%BB%8D%EF%BC%9A"><span class="toc-number">5.</span> <span class="toc-text">Consul 的 Web 管理界面有一些菜单，我们这里做一下简单的介绍：</span></a></li><li class="toc-item toc-level-1"><a class="toc-link" href="#%E9%94%AE%E5%80%BC%E5%AF%B9%E6%93%8D%E4%BD%9C"><span class="toc-number">6.</span> <span class="toc-text">键值对操作</span></a><ol class="toc-child"><li class="toc-item toc-level-2"><a class="toc-link" href="#%E5%88%9B%E5%BB%BA%E9%94%AE%E5%80%BC%E5%AF%B9"><span class="toc-number">6.1.</span> <span class="toc-text">创建键值对</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E9%80%92%E5%BD%92%E5%88%9B%E5%BB%BA%E9%94%AE%E5%80%BC%E5%AF%B9"><span class="toc-number">6.2.</span> <span class="toc-text">递归创建键值对</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8B%E5%88%9B%E5%BB%BA%E6%89%80%E6%9C%89%E7%9A%84%E9%94%AE%E5%80%BC%E5%AF%B9"><span class="toc-number">6.3.</span> <span class="toc-text">查看创建所有的键值对</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8B%E6%8C%87%E5%AE%9A%E9%94%AE%E5%80%BC%E5%AF%B9%E5%AF%B9%E5%BA%94%E7%9A%84%E5%80%BC"><span class="toc-number">6.4.</span> <span class="toc-text">查看指定键值对对应的值</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8B%E6%8C%87%E5%AE%9A%E7%9A%84%E9%94%AE%E5%80%BC%E5%AF%B9%E7%9A%84%E8%AF%A6%E7%BB%86%E4%BF%A1%E6%81%AF"><span class="toc-number">6.5.</span> <span class="toc-text">查看指定的键值对的详细信息</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E5%88%A0%E9%99%A4%E6%8C%87%E5%AE%9A%E7%9A%84%E9%94%AE%E5%80%BC%E5%AF%B9"><span class="toc-number">6.6.</span> <span class="toc-text">删除指定的键值对</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E9%80%92%E5%BD%92%E5%88%A0%E9%99%A4%E9%94%AE%E5%80%BC%E5%AF%B9"><span class="toc-number">6.7.</span> <span class="toc-text">递归删除键值对</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E5%AF%BC%E5%87%BA%E9%94%AE%E5%80%BC%E5%AF%B9%EF%BC%8C%E5%B9%B6%E4%BB%A5json%E6%A0%BC%E5%BC%8F%E8%BE%93%E5%87%BA"><span class="toc-number">6.8.</span> <span class="toc-text">导出键值对，并以json格式输出</span></a></li></ol></li><li class="toc-item toc-level-1"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8Bconsul%E9%9B%86%E7%BE%A4%E4%BF%A1%E6%81%AF"><span class="toc-number">7.</span> <span class="toc-text">查看consul集群信息</span></a><ol class="toc-child"><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8B%E9%9B%86%E7%BE%A4%E4%B8%AD%E8%A7%92%E8%89%B2%E4%B8%BAserver%E7%9A%84%E8%8A%82%E7%82%B9%E4%BF%A1%E6%81%AF"><span class="toc-number">7.1.</span> <span class="toc-text">查看集群中角色为server的节点信息</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8B%E7%BE%A4%E9%9B%86%E4%B8%AD%E7%9A%84%E4%B8%BB%E6%9C%BA%E7%82%B9"><span class="toc-number">7.2.</span> <span class="toc-text">查看群集中的主机点</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8B%E9%9B%86%E7%BE%A4%E4%B8%AD%E7%9A%84%E8%AF%A6%E7%BB%86%E4%BF%A1%E6%81%AF%EF%BC%8C%E5%B9%B6%E7%BE%8E%E5%8C%96%E8%BE%93%E5%87%BA"><span class="toc-number">7.3.</span> <span class="toc-text">查看集群中的详细信息，并美化输出</span></a></li></ol></li><li class="toc-item toc-level-1"><a class="toc-link" href="#%E6%9C%8D%E5%8A%A1%E5%99%A8%E4%BF%A1%E6%81%AF"><span class="toc-number">8.</span> <span class="toc-text">服务器信息</span></a><ol class="toc-child"><li class="toc-item toc-level-2"><a class="toc-link" href="#%E9%83%A8%E7%BD%B2consul"><span class="toc-number">8.1.</span> <span class="toc-text">部署consul</span></a><ol class="toc-child"><li class="toc-item toc-level-3"><a class="toc-link" href="#%E8%8A%82%E7%82%B9%E4%B8%80server%E7%AB%AF"><span class="toc-number">8.1.1.</span> <span class="toc-text">节点一server端</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E8%8A%82%E7%82%B9%E4%BA%8Cserver%E7%AB%AF"><span class="toc-number">8.1.2.</span> <span class="toc-text">节点二server端</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E8%8A%82%E7%82%B9%E4%B8%89server%E7%AB%AF"><span class="toc-number">8.1.3.</span> <span class="toc-text">节点三server端</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E8%8A%82%E7%82%B9%E5%9B%9Bclient%E7%AB%AF"><span class="toc-number">8.1.4.</span> <span class="toc-text">节点四client端</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8Bconsul%E9%9B%86%E7%BE%A4%E6%88%90%E5%91%98"><span class="toc-number">8.1.5.</span> <span class="toc-text">查看consul集群成员</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E6%94%BE%E8%A1%8C%E6%89%80%E6%9C%89%E9%98%B2%E7%81%AB%E5%A2%99"><span class="toc-number">8.1.6.</span> <span class="toc-text">放行所有防火墙</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E8%8A%82%E7%82%B9%E4%B8%80%E9%83%A8%E7%BD%B2%E7%94%9F%E4%BA%A7%E8%80%85"><span class="toc-number">8.1.7.</span> <span class="toc-text">节点一部署生产者</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E8%8A%82%E7%82%B9%E4%BA%8C%E9%83%A8%E7%BD%B2%E7%94%9F%E4%BA%A7%E8%80%85"><span class="toc-number">8.1.8.</span> <span class="toc-text">节点二部署生产者</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E8%8A%82%E7%82%B9%E4%B8%89%E9%83%A8%E7%BD%B2%E6%B6%88%E8%B4%B9%E8%80%85"><span class="toc-number">8.1.9.</span> <span class="toc-text">节点三部署消费者</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E9%AA%8C%E8%AF%81"><span class="toc-number">8.1.10.</span> <span class="toc-text">验证</span></a></li></ol></li></ol></li></ol></div></div><div class="card-widget card-recent-post"><div class="item-headline"><i class="fas fa-history"></i><span>最新文章</span></div><div class="aside-list"><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Zabbix-Server5-0/" title="Shell程序——部署Zabbix-ServerV5.0">Shell程序——部署Zabbix-ServerV5.0</a><time datetime="2022-02-17T03:32:00.000Z" title="发表于 2022-02-17 11:32:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Harbor/" title="Shell程序——部署Harbor">Shell程序——部署Harbor</a><time datetime="2022-02-17T03:31:00.000Z" title="发表于 2022-02-17 11:31:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94Mysql%E5%A4%87%E4%BB%BD/" title="Shell程序——Mysql备份">Shell程序——Mysql备份</a><time datetime="2022-02-17T03:30:00.000Z" title="发表于 2022-02-17 11:30:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E6%89%B9%E9%87%8F%E4%BF%9D%E5%AD%98Docker-image/" title="Shell程序——批量保存Docker_image">Shell程序——批量保存Docker_image</a><time datetime="2022-02-17T03:29:00.000Z" title="发表于 2022-02-17 11:29:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E5%85%A8%E6%AE%B5IP%E6%89%AB%E6%8F%8F/" title="Shell程序——全段IP扫描">Shell程序——全段IP扫描</a><time datetime="2022-02-17T03:28:00.000Z" title="发表于 2022-02-17 11:28:00">2022-02-17</time></div></div></div></div></div></div></main><footer id="footer"><div id="footer-wrap"><div class="copyright">&copy;2020 - 2022 By ZuSir</div><div class="framework-info"><span>框架 </span><a target="_blank" rel="noopener" href="https://hexo.io">Hexo</a><span class="footer-separator">|</span><span>主题 </span><a target="_blank" rel="noopener" href="https://github.com/jerryc127/hexo-theme-butterfly">Butterfly</a></div></div></footer></div><div id="rightside"><div id="rightside-config-hide"><button id="readmode" type="button" title="阅读模式"><i class="fas fa-book-open"></i></button><button id="hide-aside-btn" type="button" title="单栏和双栏切换"><i class="fas fa-arrows-alt-h"></i></button></div><div id="rightside-config-show"><button id="rightside_config" type="button" title="设置"><i class="fas fa-cog fa-spin"></i></button><button class="close" id="mobile-toc-button" type="button" title="目录"><i class="fas fa-list-ul"></i></button><button id="go-up" type="button" title="回到顶部"><i class="fas fa-arrow-up"></i></button></div></div><div><script src="/js/utils.js"></script><script src="/js/main.js"></script><div class="js-pjax"></div><script defer="defer" id="fluttering_ribbon" mobile="true" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/dist/canvas-fluttering-ribbon.min.js"></script><script async data-pjax src="//busuanzi.ibruce.info/busuanzi/2.3/busuanzi.pure.mini.js"></script></div></body></html>